/*
 * drivers/usb/host/ehci-suh.h
 *
 * USB controller driver
 *
 * Copyright 2012 Sony Corporation.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Suite 500, Boston, MA 02110-1335 USA.
 *
 */

/*--------------------------------------------------------------------------*
 * ip vendor specific register definition
 *---------------------------------------------------------------------------*/
/*
 * register offset definition
 */
#define SUH_OFFSET_INSNREG00	0x00000080	/* INSNREG00: offset 0x80 */
#define SUH_OFFSET_INSNREG01	0x00000084	/* INSNREG01: offset 0x84 */
#define SUH_OFFSET_INSNREG02	0x00000088	/* INSNREG02: offset 0x88 */
#define SUH_OFFSET_INSNREG03	0x0000008C	/* INSNREG03: offset 0x8C */
#define SUH_OFFSET_INSNREG04	0x00000090	/* INSNREG04: offset 0x90 */
#define SUH_OFFSET_INSNREG05	0x00000094	/* INSNREG05: offset 0x94 */
#define SUH_OFFSET_INSNREG06	0x00000098	/* INSNREG06: offset 0x98 */
#define SUH_OFFSET_INSNREG07	0x0000009C	/* INSNREG07: offset 0x9C */
#define SUH_OFFSET_INSNREG08	0x000000A0	/* INSNREG08: offset 0xA0 */

/*
 * bit field definition
 * INSNREG00: offset 0x80
 */
#define SUH_INSNREG00_1uFrameCounter8bitIF	0x00003FFE
#define SUH_INSNREG00_1uFrameCounter16bitIF	0x00001FFE
#define SUH_INSNREG00_Enable			0x00000001

/*
 * bit field definition
 * INSNREG01: offset 0x84
 */
#define SUH_INSNREG01_OUT_Threshold_ShiftValue	16
#define SUH_INSNREG01_OUT_Threshold_MaskValue	0xFFFF0000
#define SUH_INSNREG01_IN_Threshold_ShiftValue	0
#define SUH_INSNREG01_IN_Threshold_MaskValue	0x0000FFFF

/*
 * bit field definition
 * INSNREG02: offset 0x88
 */
#define SUH_INSNREG02_PacketBufferDepth_MaskValue	0x00000FFF

/*
 * bit field definition
 * INSNREG03: offset 0x8c
 */
#define SUH_INSNREG03_TxTxTurnaroundDelay_ShiftValue	10
#define SUH_INSNREG03_TxTxTurnaroundDelay_MaskValue	0x00001C00
#define SUH_INSNREG03_PeriodicFramListFetch		0x00000200
#define SUH_INSNREG03_TimeAvailableOffset_ShiftValue	1
#define SUH_INSNREG03_TimeAvailableOffset_MaskValue	0x000001FE
#define SUH_INSNREG03_BreakMemoryTransfer		0x00000001

/*
 * bit field definition
 * INSNREG04: offset 0x90
 */
#define SUH_INSNREG04_AutomaticFeatureDisable		0x00000020
#define SUH_INSNREG04_NAKReloadFixDisable		0x00000010
#define SUH_INSNREG04_ScaleDownPortEnumeTime		0x00000004
#define SUH_INSNREG04_HCCPARAMSEditEnable		0x00000002
#define SUH_INSNREG04_HCSPARAMSEditEnable		0x00000001

/*
 * bit field definition
 * INSNREG05: offset 0x94
 */
#define SUH_INSNREG05_UTMI_VBusy		0x00020000
#define SUH_INSNREG05_UTMI_VPort		0x0001E000
#define SUH_INSNREG05_UTMI_VControlLoadM	0x00001000
#define SUH_INSNREG05_UTMI_VControl		0x00000E00
#define SUH_INSNREG05_UTMI_VStatus		0x000000FF

#define SUH_INSNREG05_ULPI_VendorControl		0x80000000
#define SUH_INSNREG05_ULPI_HostPortNumber_ShiftValue	24
#define SUH_INSNREG05_ULPI_HostPortNumber_MaskValue	0x0F000000
#define SUH_INSNREG05_ULPI_RegisterWrite		0x00800000
#define SUH_INSNREG05_ULPI_RegisterRead			0x00C00000
#define SUH_INSNREG05_ULPI_RegisterAddress_ShiftValue	16
#define SUH_INSNREG05_ULPI_RegisterAddress_MaskValue	0x003F0000
#define SUH_INSNREG05_ULPI_ExtendedAddress_ShiftValue	8
#define SUH_INSNREG05_ULPI_ExtendedAddress_MaskValue	0x0000FF00
#define SUH_INSNREG05_ULPI_WriteData_ShiftValue		0
#define SUH_INSNREG05_ULPI_WriteData_MaskValue		0x000000FF

/*
 * bit field definition
 * INSNREG06: offset 0x98
 */
#define SUH_INSNREG06_AHBErrorCaptured		0x80000000
#define SUH_INSNREG06_HBURSTValue		0x0000E000
#define SUH_INSNREG06_NumberOfExpectedBeat	0x000001F0
#define SUH_INSNREG06_NumberOfSuccessBeat	0x0000000F

/*
 * bit field definition
 * INSNREG07: offset 0x9c
 */

