/*
 * ohci-suh.h
 *
 * OHCI HCD (Host Controller Driver) for USB.
 *
 * Copyright 2012 Sony Corporation.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Suite 500, Boston, MA 02110-1335 USA.
 *
 */


/*----------------------------------------------------------------------*
 *  IP-Vendor Specific Register for OHCI
 *----------------------------------------------------------------------*/

#define SUH_OFFSET_INSNREG06    0x00000098  /* INSNREG06: offset 0x98 */
#define SUH_OFFSET_INSNREG07    0x0000009C  /* INSNREG07: offset 0x9C */

/*
    bit field definition
    INSNREG06: offset 0x98
*/
#define SUH_INSNREG06_AHBErrCaptd	0x80000000
/*
 * the following bit is used only in case of EHCI existing
 */
#define SUH_INSNREG06_HBURSTValue	0x0000E000
#define SUH_INSNREG06_NumExpecBeat	0x000001F0
#define SUH_INSNREG06_NumSuccBeat	0x0000000F

/*
    bit field definition
    INSNREG07: offset 0x9c
*/

