/*
 * include/linux/trace_kmalloc.h
 *
 *
 * Copyright 2012 Sony Corporation
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 */

#ifndef __TRACE_KMALLOC_H__
#define __TRACE_KMALLOC_H__

#ifdef CONFIG_KMALLOC_SIMPLE_TRACE
int kmalloc_add_trace(void *addr, size_t size, gfp_t flags);
int kmalloc_add_trace_entry(void *addr, size_t size, gfp_t flags, const void *caller);
int kmalloc_del_trace_entry(void *addr);
#else
# define kmalloc_add_trace(addr, size)			do {} while (0)
# define kmalloc_add_trace_entry(addr, size, caller)	do {} while (0)
# define kmalloc_del_trace_entry(addr)			do {} while (0)
#endif

#endif /* __TRACE_KMALLOC_H__ */
