/*
 * include/linux/udif/malloc.h
 *
 *
 * Copyright 2010 Sony Corporation
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 */
#ifndef __UDIF_MALLOC_H__
#define __UDIF_MALLOC_H__

#include <linux/slab.h>

#define KMALLOC_FLAGS	GFP_KERNEL

extern unsigned long udif_km_debug;
extern UDIF_VP __udif_kmalloc(const UDIF_U8 *name, UDIF_UINT size, UDIF_ULONG flags);
extern UDIF_ERR __udif_kfree(UDIF_VP p);

static inline UDIF_VP udif_kmalloc(const UDIF_U8 *name, UDIF_UINT size, UDIF_ULONG flags)
{
	if (udif_km_debug)
		return __udif_kmalloc(name, size, flags | KMALLOC_FLAGS);
	else
		return kmalloc(size, flags | KMALLOC_FLAGS);
}

static inline UDIF_ERR udif_kfree(UDIF_VP p)
{
	if (udif_km_debug)
		return __udif_kfree(p);
	else {
		kfree(p);
		return UDIF_ERR_OK;
	}
}
#endif /* __UDIF_MALLOC_H__ */
